When I try to run Audacity from the command-line, I get the message:
audacity: relocation error: audacity: symbol _ZThn696_N14wxTextCtrlBase8overflowEi, version WXU_3.0 not defined in file libwx_gtk2u_core-suse-nostl.so.3 with link time reference
I have tried removing Audacity and the packages it depends on:
libwx_gtk2u_adv-suse-nostl3 libwx_gtk2u_html-suse-nostl3 libwx_gtk2u_qa-suse-nostl3
and reinstalling audacity but the problem remains.

I have just upgraded from Leap 14.2 to Leap 15.1. The hardware is x86_64